Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

Posté par . Modéré par Nÿco.
Tags :
0
2
avr.
2003
Mozilla
C'est le printemps, les oiseaux chantent, les arbres et les logiciels bourgeonnent. La nouvelle branche de Mozilla fait son apparition, sous la forme d'une frêle version Alpha.

Version 1.0.2, 1.2.1, 1.3 et 1.4a, voilà qui laisse du choix aux utilisateurs potentiels.

Au menu, entre autres : redimensionnement automatique des images, "smooth scrolling", filtres anti-spam...
  • # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

    Posté par . Évalué à 2.

    redimensionnement automatique des images, "smooth scrolling", filtres anti-spam c'est pas dans la 1.3 dejà tout ça ?
  • # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

    Posté par (page perso) . Évalué à 0.

    On comence à avoir quelque chose de plus en plus performant et useful. j'espère que le temps de chargement et la mémoire ne vont pas exploser au fur et à mesure...
  • # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

    Posté par . Évalué à 10.

    A quand le suport du SVG par defaut ?
    • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

      Posté par (page perso) . Évalué à 4.

      Je te plussoie violemment. Apparemment plus personne n'en parle. Mais en tout cas, le Mozilla 1.3 de debian sid est compilé par défaut avec le support SVG. Qqn peut nous en dire plus sur les versions de la Mdk 9.1 par exemple ?
    • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

      Posté par (page perso) . Évalué à 3.

      Ce support serait le bienvu (le plugin abode fait crasher mon mozilla). Si on y ajoute l'authentification NTLM (voir http://mozillazine.org/talkback.html?article=3028 ), je pourrais enfin convertir un ami accro à IE6
    • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

      Posté par . Évalué à 2.

      ici :
      http://www.mozilla.org/projects/svg/(...)

      Tu trouvera les infos, et les liens pour les downloads des versions Mozilla supportant en natif SVG et MathML.

      Cela ne répond pas directement à ta question, puisque justement il ne sagit pas de versions classiques de Mozilla. Mais ça a le mérite d'exister...
      • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

        Posté par . Évalué à 2.

        Je connaissais ce projet mais effectivement SVG ne fait pas partie de Mozilla par defaut et en plus la norme n'est pas completement supporté.
        à l'origine à cause d'un probleme de licence sur une lib mais je crois que ce la licence a été modifiée depuis et ne pose plus de probleme (ou ils ont changer de lib p.e. en tt cas il n'en est plus question sur la page du projet) d'ou ma question : pourquoi n'est ce pas alors inclu dans les fonctionnalité de cette nouvelle version de Moz ...

        Dam [marre_de_voir_du_flash_quand_on_pourrait_avoir_du_beau_SVG_si_joli ]
  • # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

    Posté par . Évalué à 3.

    Quelqu'un a des infos sur la traduction francaise de version > 1.2.1 ?
  • # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

    Posté par . Évalué à 10.

    > Version 1.0.2, 1.2.1, 1.3 et 1.4a, voilà qui laisse du choix aux utilisateurs potentiels. La version 1.2.1 est périmée. - 1.0.2 : version stable - 1.3 : milestone conseillée - 1.4a : dernière milestone http://mozilla.tlk.fr/faq8.php Nouveautés proposées : - défilement régulier (désactivé par défaut) - redimensionnement en temps réel des images et des tables dans le Composer. - support de l'authentification NTLM sur Windows - améliorations ont été faites aux contrôles des courriers non sollicités - améliorations des fonctionnalités de blocage des "pop-up" - support du P3P est intégré - changements majeurs faits dans le code des signets Attention c'est une version alpha .
    • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

      Posté par . Évalué à 7.

      Si je puis me permettre:

      1.3: version stable
      1.4a: version de test

      et 1.0.2: version maintenue pour des raisons de compatibilité avec d'éventuels produits tiers dévellopés sur sa base.
      • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

        Posté par . Évalué à 1.

        Non la version 1.0 est encore la branche stable. Et ceci jusqu'à la version 1.4 finale qui sera la prochaine branche stable.

        D'ailleur la version 1.4 risque d'être la dernière Milestone de Mozilla, car les futurs développements de l'organisation Mozilla vont se concentrer sur Phoenix et Thunderbird.
    • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

      Posté par . Évalué à 1.

      http://frenchmozilla.sourceforge.net/pages/addfr.php(...)

      ils sont bien à la bourre là non ? ils ne feraient pas un peu de surqualité ? s'acharner sur la version française de la version stable 1.0.2 (experimental-74 tout de même) alors que personne ne l'utilise ... et ne pas sortir de trads des 2 dernières versions (même expérimanentale) ... je trouve que c'est discutable.

      en tous cas moi je reste en version 1.2.1 car c'est la dernière version disponible en français.
    • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

      Posté par . Évalué à 3.

      la version 1.2.1 périmée

      peut être mais en tout cas

      c'est une version stable
      c'est une version disponible dans mon langage préféré : fr-fr
      c'est une version que j'aime bien présenter aux personnes
      qui ne connaissent que IE afin de les convertir aux LL

      franchement la 1.3 ne m'a pas convaincu

      pour ma part j'attendrai patiemment la 1.4 - finale
      • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

        Posté par (page perso) . Évalué à 5.

        franchement la 1.3 ne m'a pas convaincu
        Le junk mail est très bien (et si ca pouvait fonctionner pour classer automatiquement en catégorie ca serait encors mieux)

        Mais, j'ai constaté un bug très très pénible (depuis la 1.3b) : parfois au lieu d'avoir la page html, j'ai soit le source, soit une uniquement une image. Ce qui a le mérite d'être assez pénible : il faut alors recharger la page jusqu'a ce que ca marche (parfois 4 5 fois). Le site qui me fait très souvent ca : www.google.com ....

        J'ai eu aussi des trucs bizards :
        - dans le client mail, "get all message" me demande pas de mot de passe, mais si je vais sur un message venant d'un IMAP, le mot de passe m'est demandé.
        - une fois, je ne pouvais plus optenir les message sur un compte : mozilla bloquait en attente.
        - la gestion des bookmarks est un peu space, voir buggé (déjà dans la 1.2 ca faisait des trucs bizards chez moi)
        • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

          Posté par . Évalué à 4.

          même problème avec google et à d'autres occasions, bizarre sur une version stable et sur le site le plus visité au monde...
        • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

          Posté par . Évalué à 1.

          meme probleme sur google, mais uniquement sur la version google.com (pas sur google.fr par exemple).

          idem pour la mise en attente qui empeche de récupérer les mails au fur et a mesure qu'ils arrivent. ce n'est pas un bug qui s'est 'déclaré' tout de suite, et je me demande si la 1.3b avait été dehors plus longtemps, s'ils n'auraient pas eu la possibilité de le corriger...

          ah... le rythme des release...
    • [^] # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

      Posté par (page perso) . Évalué à 1.

      - support de l'authentification NTLM sur Windows

      Tu es sûr ? C'est marqué où ? je ne trouve pas :-(
  • # mais où s'arrêteront-ils ?

    Posté par (page perso) . Évalué à -10.

    DTC !!! /o\

    L'association LinuxFr ne saurait être tenue responsable des propos légalement repréhensibles ou faisant allusion à l'évêque de Rome, au chef de l'Église catholique romaine ou au chef temporel de l'État du Vatican et se trouvant dans ce commentaire

  • # Phoenix XFT

    Posté par . Évalué à 3.

    Quelqu'un a compilé Phoenix récemment avec le support XFT ? J'ai suivi les instructions disponibles sur http://phoenix.ragweed.net/build mais j'ai droit à des erreurs de compilations. Donc si y'avait un type sympa qui l'a fait il y a moins d'un mois, ça serait cool :)
  • # Bof !

    Posté par . Évalué à -9.

    J'ai essayé la dernière version de Mozilla et je suis franchement déçu. Il reste encore de nombreuses incompatibilités DHTML avec pas mal de sites existants, ce qui est gênant quand on sait que le premier but d'un navigateur est d'aller sur un maximum de sites.

    Par exemple, certains webmasters utilisent document.all et document.layers pour différentier un navigateur d'un autre (ce qui est plus fin qu'un test sur l'UA). Mozilla foire lamentablement ce test et résultat la page s'affiche pas ou très mal.

    Vous me direz que c'est la faute aux webmasters qui codent comme des porcs, mais ce n'est pas une raison (d'autant plus que l'utilisateur de base s'en tape). Le but de la machine est justement de pallier aux défaillances humaines. Un bon programme doit donc être tolérant aux erreurs (car chercher les erreurs/non-conformités c'est de la perte de temps, et le temps c'est de l'argent) et ça, Microsoft l'a compris (pour une fois qu'il ont compris quelque chose :), c'est pour ça que 1 an après la sortie de Moz, IE domine toujours le marché.

    Sur ces dires je souhaite un bon courage aux développeurs de Moz, en espérant un jour pouvoir acheter mes CD en ligne sur Virgin avec.
    • [^] # Re: Bof !

      Posté par . Évalué à 1.

      trop gros, passera pas ....
    • [^] # Re: Bof !

      Posté par (page perso) . Évalué à 1.

      être un peu strict incitera sans doute les webmasters à être eux-mêmes plus attentifs sur leur code non ?

      si mozilla est aussi tolérant que tu le demande quel est la motivation des concepteurs pour respecter les normes W3C ?
      • [^] # Re: Bof !

        Posté par . Évalué à -7.

        Pouvoir se branler devant un logo moche sur fond jaune ?




        OK, =====>[jesors]
    • [^] # Re: Bof !

      Posté par . Évalué à 10.

      Super moi je veux un compilateur C qui me corriges mes erreurs de code ca serait tellement plus pratique ... pi merde koi c de la tolerence d'erreur ... nan ? koi?

      Dam
    • [^] # Re: Bof !

      Posté par (page perso) . Évalué à 2.

      > ...le premier but d'un navigateur est d'aller sur un maximum de sites.

      certes, mais ce n'est pas au navigateur de s'adapter au sale boulot fait par un webmaster mais plutôt au webmaster d'écrire un code correct respectueux des standards.
      • [^] # Re: Bof !

        Posté par (page perso) . Évalué à 1.

        Et puis franchement, les sites qui ne marchent pas correctement avec Mozilla ça devient rare.
        (Non ce n'est pas la peine de poster une liste! :)
    • [^] # Re: Bof !

      Posté par (page perso) . Évalué à 8.

      certains webmasters utilisent document.all et document.layers

      Ce n'est pas standards. Mozilla respecte les standards.
      Voir les fonctions du DOM du W3C...
      Les webmasters DOIVENT respecter les standards..

      Vous me direz que c'est la faute aux webmasters qui codent comme des porcs, mais ce n'est pas une raison
      Vi, je te dis, c'est la faute aux webmasters qui codent comme des porcs ou qui ont fait ce site il y a longtemps et qui ne sont pas à jour dans leurs connaissances.

      Un bon programme doit donc être tolérant aux erreurs (car chercher les erreurs/non-conformités c'est de la perte de temps, et le temps c'est de l'argent)
      Ben voyons !
      Justement, raison de plus pour respecter les standards, et pas faire du code spécifique pour un navigateur.


      Sur ces dires je souhaite un bon courage aux développeurs de Moz, en espérant un jour pouvoir acheter mes CD en ligne sur Virgin avec.
      Ce n'est pas aux développeurs de Moz de se plaindre, mais aux développeurs du site de Virgin.
      Tu connais la rubrique Tech-Evangelism dans bugzilla ?

      Laurent
      Contributeur http://openweb.eu.org(...) (site que je te conseille de visiter pour comprendre..)
    • [^] # Re: Bof !

      Posté par (page perso) . Évalué à 10.


      Et moi je veux un navigateur qui corrige ma grammaire et mon orthographe quand je poste sur des forums, vu que j'ecris francais comme un porc...


      Il reste encore de nombreuses incompatibilités DHTML avec pas mal de sites existants, ce qui est gênant quand on sait que le premier but d'un navigateur est d'aller sur un maximum de sites.

      1. le but d'un navigateur n'est pas d'afficher un maximun de sites, mais d'afficher correctement le code tel qu'il est ecrit dans la page. Un navigateur n'a pas a interpreter comme il le veut une page, un navigateur ne traduit pas une page comme un interprete traduit une langue; il n'a pas a adapter le contenu en fonction des uses et coutumes du visiteur. Ce n'est pas "Clippy" de Word non plus.
      2. les scripts dhtml se base principalement sur des extensions proprietaires specifique aux navigateurs Netscape4 et IE. La plupart de ses scripts ne sont compatible en rien avec les normes du W3C (et je dis bien "norme", rien a voir avec les "standards" de fait).

      Par exemple, certains webmasters utilisent document.all et document.layers pour différentier un navigateur d'un autre (ce qui est plus fin qu'un test sur l'UA). Mozilla foire lamentablement ce test et résultat la page s'affiche pas ou très mal.

      document.layers ==> Netscape 4 et rien d'autre.
      document.all ==> Internet Explorer 4+ et rien d'autre.

      La detection par ces procedes n'est utilise que pour isole Netscape4 et IE4+ des autres navigateurs. Si on veut isole les navigateurs compatible avec le CSS et le DOM (ce qui revient plus ou moins a isole les navigateurs recents et compatible avec les normes du W3C), on utilise document.getElementById

      Le webmaster pas trop con et qui veut tout de meme detecter les differents navigateurs pour leur fournir des contenus/codes differents, offrira toujours une porte se sortie (else) aux navigateurs ne supportant aucun de ces elements (lynx par ex).

      Le but de la machine est justement de pallier aux défaillances humaines

      Ah non! Le but de la machine est de faire ce qu'on lui demande point. Ensuite, de le faire plus vite et plus facilement que sans elle. Si je veux taper une lettre mais pas envie qu'un trombone a la con me demande toute les 2 mintues si je veux pas plutot faire ci ou ca, non merci.

      Un bon programme doit donc être tolérant aux erreurs (car chercher les erreurs/non-conformités c'est de la perte de temps,

      Il y a tolerant et tolerant. Si tu inventes un balise imaginaire, elle sera ignore et la page sera quand meme afficher, que ce soit avec Netscape2, IE ou Moz. Maintenant je ne vois pas en quoi IE est plus tolerant que Mozilla, IE ne corrige pas tes erreurs, il accepte simplement des extensions supplementaire (et proprietaire) que Microsoft a cru bon d'inclure dans son navigateur. Il ne s'agit pas de tolerance ici. D'ailleurs je trouve IE bien moins tolerant que Mozilla: IE n'est pas foutu d'afficher correctement certaines page contenant du CSS vailde.

      et le temps c'est de l'argent) et ça, Microsoft l'a compris (pour une fois qu'il ont compris quelque chose :), c'est pour ça que 1 an après la sortie de Moz, IE domine toujours le marché.

      Effectivement, MS a bien compris comment ce faire du fric, il n'y a pas de doute la dessus, et je ne me fait nullement de soucis pour leur compte en banque.
      Pour ton analyse sur la domination d'IE et la part de marche de Mozilla, je sais meme pas pourquoi je m'attarderais la dessus... (Livre par defaut sur 95% des ordinateurs vendu, ca ne te dis rien?). Enfin, tu nous fait peut-etre un poisson d'avril a retardement....
      • [^] # Re: Bof !

        Posté par . Évalué à 0.

        Et moi je veux un navigateur qui corrige ma grammaire et mon orthographe quand je poste sur des forums, vu que j'ecris francais comme un porc...
        Et encore en liant spellchecker avec quelques methodes javascript ça devrait pas etre trop dur....
  • # Re: Mozilla 1.4 Alpha (mais où s'arrêteront-ils ?)

    Posté par (page perso) . Évalué à 3.

    ba moi j'attend tjs la version 1.3 pour mac os9....
    ainsi qu'un phoenix un poils plus a jours
    (tous ca pour que midas http://www.mozilla.org/editor/midasdemo/(...) fonctionne enfin sur le mac des clients pfff)
  • # Commentaire supprimé

    Posté par . Évalué à 2.

    Ce commentaire a été supprimé par l'équipe de modération.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.